Bug 866278 - journalctl: Failed to iterate through journal: Bad message
journalctl: Failed to iterate through journal: Bad message
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 21:50 EDT by Matt Kinni
Modified: 2013-08-01 07:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:25:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Kinni 2012-10-14 21:50:25 EDT
Description of problem:
journalctl prints log messages just fine, but if I try to filter the output in some way, I get this output:

#> journalctl _COMM=setroubleshootd 
Logs begin at Sun, 27 May 2012 14:09:45 -0700, end at Tue, 25 Sep 2012 23:52:17 -0700.
Failed to iterate through journal: Bad message

It makes no difference how I try filtering the message; some apparent corruption on 25 Sep prevents it from working.

Here is the only message on Septermber 25 courtesy of journalctl --no-pager -o verbose:

Tue, 25 Sep 2012 23:52:17 -0700 [s=c54ec7782b8e4d49a4c8b531a1cae7e2;i=365d3;b=8087e23ce0d448e095004338f3770e04;m=2c9de9dd;t=4ca954372a69a;x=a9f4251302ffd007;p=user-42.journal]
	_TRANSPORT=syslog
	PRIORITY=4
	SYSLOG_FACILITY=3
	SYSLOG_IDENTIFIER=gnome-session
	SYSLOG_PID=23978
	MESSAGE=Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
	_PID=23978
	_UID=42
	_GID=42
	_COMM=gnome-session
	_AUDIT_SESSION=4
	_AUDIT_LOGINUID=42
	_SYSTEMD_CGROUP=/
	_SOURCE_REALTIME_TIMESTAMP=1348642337327660
	_BOOT_ID=8087e23ce0d448e095004338f3770e04
	_MACHINE_ID=078876cef50d4990b5a2ca08fb419951
	_HOSTNAME=galactica
####
This doesn't look any different from any of the messages that precede or follow it.

Version-Release number of selected component (if applicable):
systemd-44-17.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. You probably won't be able to reproduce it on your system unless you can intentionally corrupt the logs somehow
2.
3.
 
Additional info:
This is the only other possibly related bug I could find while googling: https://bugzilla.novell.com/show_bug.cgi?id=779449
Comment 1 Matt Kinni 2012-10-14 21:51:46 EDT
I'm not sure how to debug this further or what I can do to help; just let me know what you need and I will try my best
Comment 2 Fedora End Of Life 2013-07-03 23:35:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 07:25:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.